package com.fjhx.sale.service.quality;

import com.fjhx.sale.entity.quality.po.EhsdQualityPack;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.quality.vo.EhsdQualityPackVo;
import com.fjhx.sale.entity.quality.dto.EhsdQualityPackSelectDto;
import com.fjhx.sale.entity.quality.dto.EhsdQualityPackDto;


/**
 * <p>
 * 质检---产品包装明细表 服务类
 * </p>
 *
 * @author 
 * @since 2023-05-22
 */
public interface EhsdQualityPackService extends BaseService<EhsdQualityPack> {

    /**
     * 质检---产品包装明细表分页
     */
    Page<EhsdQualityPackVo> getPage(EhsdQualityPackSelectDto dto);

    /**
     * 质检---产品包装明细表明细
     */
    EhsdQualityPackVo detail(Long id);

    /**
     * 质检---产品包装明细表新增
     */
    void add(EhsdQualityPackDto ehsdQualityPackDto);

    /**
     * 质检---产品包装明细表编辑
     */
    void edit(EhsdQualityPackDto ehsdQualityPackDto);

    /**
     * 质检---产品包装明细表删除
     */
    void delete(Long id);

}
